Summary:        Wayland EGL External Platform library
Name:           egl-wayland
Version:        1.1.9
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/NVIDIA/%{name}
Source0:        %url/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        10_nvidia_wayland.json
Source2:        15_nvidia_gbm.json

Patch3000:      %url/commit/d4937adc5cd04ac7df98fc5616e40319fb52fdee.patch
Patch3001:      %url/commit/daab8546eca8428543a4d958a2c53fc747f70672.patch
Patch3002:      %url/commit/582b2d345abaa0e313cf16c902e602084ea59551.patch

BuildRequires:  meson libtool eglexternalplatform-devel cmake libglvnd-devel
BuildRequires:  wayland-devel wayland-protocols-devel
Requires:       libglvnd-egl

%description
Wayland EGL External Platform library

%package devel
Summary:        Wayland EGL External Platform library development package
Requires:       %{name} = %{version}-%{release}

%description devel
Wayland EGL External Platform library development package

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
install -m 0755 -d %{buildroot}%{_datadir}/egl/egl_external_platform.d/
install -pm 0644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_datadir}/egl/egl_external_platform.d/
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc README.md
%{_libdir}/*.so.*
%{_datadir}/egl/egl_external_platform.d/10_nvidia_wayland.json
%{_datadir}/egl/egl_external_platform.d/15_nvidia_gbm.json

%files devel
%{_libdir}/libnvidia-egl-wayland.so
%{_libdir}/pkgconfig/wayland-eglstream.pc
%{_datadir}/pkgconfig/wayland-eglstream-protocols.pc
%{_datadir}/wayland-eglstream/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.9-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 2 2022 Shuo Wang <abushwang@tencent.com> - 1.1.9-1
- initial build

